#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/ghtool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      = $(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = ghcgts.o \
		ghcopy.o \
		ghcsq1.o \
		ghcsq2.o \
		gheset.o \
		ghpaca.o \
		ghpack.o \
		ghpget.o \
		ghptrn.o \
		ghqenm.o \
		ghrsgp.o

SRCS	      = ghcgts.F \
		ghcopy.F \
		ghcsq1.F \
		ghcsq2.F \
		gheset.F \
		ghpaca.F \
		ghpack.F \
		ghpget.F \
		ghptrn.F \
		ghqenm.F \
		ghrsgp.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/ghtool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
ghcgts.o: $(INCDIR)/gzsize.F
ghcopy.o: $(INCDIR)/gzsize.F
ghcsq1.o: $(INCDIR)/gzsize.F
ghcsq2.o: $(INCDIR)/gzsize.F
gheset.o: $(INCDIR)/gzsize.F
ghpaca.o: $(INCDIR)/gzsize.F
ghpack.o: $(INCDIR)/gzsize.F
ghpget.o: $(INCDIR)/gzsize.F
ghptrn.o: $(INCDIR)/gzsize.F
ghqenm.o: $(INCDIR)/gzsize.F
